{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "MENUITEM.CAPTION.REMOTEAGGREGATION"
  },
  "caption" : "表格远程聚合",
  "codeName" : "IBIZBOOKUsr5GridView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKUsr5GridView.json",
  "gridRowActiveMode" : 2,
  "name" : "IBIZBOOKUsr5GridView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "GridView",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "appViewLogicName" : "opendata",
      "name" : "OPENDATA",
      "paramType" : "LOGIC"
    }, {
      "appViewLogicName" : "newdata",
      "name" : "NEWDATA",
      "paramType" : "LOGIC"
    }, {
      "ctrlName" : "grid",
      "name" : "GRID",
      "paramType" : "CTRL"
    }, {
      "ctrlName" : "searchform",
      "name" : "SEARCHFORM",
      "paramType" : "CTRL"
    } ]
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "SYSUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "getNewDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "SYSUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "getOpenDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewMsgGroup" : {
    "modelref" : true,
    "id" : "VMGroup17"
  },
  "getPSAppViewRefs" : [ {
    "name" : "EDITDATA",
    "realTitle" : "图书编辑视图",
    "getRealTitlePSLanguageRes" : {
      "lanResTag" : "PAGE.TITLE.IBIZBOOK.EDITVIEW"
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "NEWDATA",
    "realTitle" : "图书编辑视图",
    "getRealTitlePSLanguageRes" : {
      "lanResTag" : "PAGE.TITLE.IBIZBOOK.EDITVIEW"
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  } ],
  "getPSControls" : [ {
    "aggMode" : "ALL",
    "getAggPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "codeName" : "Main5",
    "columnEnableLink" : 2,
    "controlType" : "GRID",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSGRIDS/Main5.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch"
    },
    "groupMode" : "NONE",
    "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "REMOVE", "LOAD", "BEFORELOAD" ],
    "logicName" : "远程聚合",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "数据表格处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;REMOVE;LOAD;BEFORELOAD",
      "logicTag" : "grid",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_grid",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "GRID"
    },
    "getPSDEDataImport" : {
      "modelref" : true,
      "id" : "DataImport"
    },
    "getPSDEGridColumns" : [ {
      "aggField" : "type",
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.TYPE"
      },
      "caption" : "图书类型",
      "codeName" : "type",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "type",
      "excelCaption" : "图书类型",
      "name" : "type",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookType.json"
      },
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      },
      "width" : 280,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "aggField" : "author",
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.AUTHOR"
      },
      "caption" : "图书作者",
      "codeName" : "author",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "author",
      "excelCaption" : "图书作者",
      "name" : "author",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "AUTHOR",
        "codeName" : "Author"
      },
      "width" : 280,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "aggField" : "ibizbookname",
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.IBIZBOOKNAME"
      },
      "caption" : "图书名称",
      "codeName" : "ibizbookname",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "ibizbookname",
      "excelCaption" : "图书名称",
      "name" : "ibizbookname",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      },
      "width" : 100,
      "widthUnit" : "STAR",
      "enableSort" : true
    }, {
      "aggField" : "booknumber",
      "aggMode" : "SUM",
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.BOOKNUMBER"
      },
      "caption" : "图书数量",
      "codeName" : "booknumber",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "booknumber",
      "excelCaption" : "图书数量",
      "name" : "booknumber",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "BOOKNUMBER",
        "codeName" : "Booknumber"
      },
      "width" : 280,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "aggField" : "press",
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.PRESS"
      },
      "caption" : "图书出版社",
      "codeName" : "press",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "press",
      "excelCaption" : "图书出版社",
      "name" : "press",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "PRESS",
        "codeName" : "Press"
      },
      "width" : 280,
      "widthUnit" : "PX",
      "enableSort" : true
    } ],
    "getPSDEGridDataItems" : [ {
      "dataType" : 25,
      "name" : "type",
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      }
    }, {
      "dataType" : 25,
      "name" : "author",
      "getPSAppDEField" : {
        "name" : "AUTHOR",
        "codeName" : "Author"
      }
    }, {
      "dataType" : 25,
      "name" : "ibizbookname",
      "getPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      }
    }, {
      "dataType" : 9,
      "name" : "booknumber",
      "getPSAppDEField" : {
        "name" : "BOOKNUMBER",
        "codeName" : "Booknumber"
      }
    }, {
      "dataType" : 25,
      "name" : "press",
      "getPSAppDEField" : {
        "name" : "PRESS",
        "codeName" : "Press"
      }
    }, {
      "dataType" : 25,
      "name" : "ibizbookid",
      "getPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfdataaccaction",
      "getPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      },
      "dataAccessAction" : true
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      }
    }, {
      "dataType" : 25,
      "name" : "srfmstag"
    } ],
    "getPSDEGridEditItems" : [ {
      "caption" : "图书标识",
      "codeName" : "srfkey",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "srfkey"
      },
      "allowEmpty" : true
    } ],
    "pagingSize" : 20,
    "getRemovePSControlAction" : {
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      }
    },
    "sortMode" : "REMOTE",
    "hasWFDataItems" : false,
    "enableColFilter" : false,
    "enableCustomized" : true,
    "enableGroup" : false,
    "enablePagingBar" : true,
    "enableRowEdit" : false,
    "enableRowEditOrder" : false,
    "enableRowNew" : false,
    "forceFit" : false,
    "hideHeader" : false,
    "noSort" : false,
    "singleSelect" : false,
    "name" : "grid",
    "modelid" : "9d332f592448486dbe516326a4026e9a",
    "modeltype" : "PSDEGRID"
  }, {
    "codeName" : "Default",
    "controlType" : "SEARCHFORM",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSSEARCHFORMS/Default.json",
    "hookEventNames" : [ "SEARCH", "LOAD", "SAVE" ],
    "logicName" : "默认搜索表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionType" : "FILTERACTION",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGet"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "search",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterSearch"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "搜索表单处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "SEARCH;LOAD;SAVE",
      "logicTag" : "searchform",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_searchform",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SEARCHFORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "n_ibizbookname_like",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      }
    }, {
      "id" : "n_price_gtandeq",
      "dataType" : 7,
      "getPSAppDEField" : {
        "name" : "PRICE",
        "codeName" : "Price"
      }
    } ],
    "getPSDEFormPages" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.DEFAULT.FORMPAGE.FORMPAGE1"
      },
      "caption" : "常规条件",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFSFITEM.IBIZBOOK.N_IBIZBOOKNAME_LIKE"
        },
        "caption" : "图书名称(%)",
        "codeName" : "n_ibizbookname_like",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "n_ibizbookname_like",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZBOOKNAME",
          "codeName" : "IBIZBOOKName"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "editorWidth" : 100.0,
          "name" : "n_ibizbookname_like"
        },
        "getPSLayoutPos" : {
          "colLG" : 12,
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFSFITEM.IBIZBOOK.N_PRICE_GTANDEQ"
        },
        "caption" : "图书价格(>=)",
        "codeName" : "n_price_gtandeq",
        "dataType" : 7,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "n_price_gtandeq",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "PRICE",
          "codeName" : "Price"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "editorWidth" : 100.0,
          "name" : "n_price_gtandeq"
        },
        "getPSLayoutPos" : {
          "colLG" : 12,
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "searchButtonStyle" : "DEFAULT",
    "tabHeaderPos" : "TOP",
    "enableAdvanceSearch" : false,
    "enableAutoSearch" : false,
    "enableFilterSave" : false,
    "noTabHeader" : true,
    "name" : "searchform",
    "modelid" : "643b7d93870f8f5842b663af83ba85ae",
    "modeltype" : "PSDEFORM_SEARCHFORM"
  }, {
    "codeName" : "Usr5GridViewtoolbar",
    "controlType" : "TOOLBAR",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "modelid" : "f5c0f96d96b00d91622801fbcd628472_toolbar",
    "modeltype" : "PSDETOOLBAR"
  } ],
  "getPSDEViewCodeName" : "Usr5GridView",
  "getPSDEViewId" : "20db1d8ea90d7a170b147c5d1a358ac4",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEGRIDVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "表格远程聚合",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.IBIZBOOK.USR5GRIDVIEW"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DEGRIDVIEW",
  "xDataControlName" : "grid",
  "enableDP" : true,
  "enableExport" : true,
  "enableFilter" : true,
  "enableImport" : true,
  "enableQuickSearch" : true,
  "enableRowEdit" : false,
  "enableSearch" : true,
  "rowEditDefault" : false,
  "showCaptionBar" : false,
  "modelid" : "f5c0f96d96b00d91622801fbcd628472",
  "modeltype" : "PSAPPDEVIEW"
}